Skip to main content
GET
/
v4
/
tags
List tags
curl --request GET \
  --url https://api.kit.com/v4/tags \
  --header 'X-Kit-Api-Key: <api-key>'
require 'uri'
require 'net/http'

url = URI("https://api.kit.com/v4/tags")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Kit-Api-Key"] = '<api-key>'

response = http.request(request)
puts response.read_body
const options = {method: 'GET', headers: {'X-Kit-Api-Key': '<api-key>'}};

fetch('https://api.kit.com/v4/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.kit.com/v4/tags"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-Kit-Api-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kit.com/v4/tags",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Kit-Api-Key: <api-key>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
import requests

url = "https://api.kit.com/v4/tags"

headers = {"X-Kit-Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "tags": [
    {
      "id": 12,
      "name": "Tag B",
      "created_at": "2023-02-17T11:43:55Z"
    },
    {
      "id": 11,
      "name": "Tag A",
      "created_at": "2023-02-17T11:43:55Z"
    }
  ],
  "pagination": {
    "has_previous_page": false,
    "has_next_page": false,
    "start_cursor": "MTI=",
    "end_cursor": "MTE=",
    "per_page": 500
  }
}
{
"errors": [
"The access token is invalid"
]
}

Authorizations

X-Kit-Api-Key
string
header
required

Authenticate API requests via an API Key

Query Parameters

after
any | null

To fetch next page of results, use ?after=<end_cursor>

before
any | null

To fetch previous page of results, use ?before=<start_cursor>

include_total_count
boolean

Set to true to include the total_count in the response. This option can cause slow responses; if paging through results, request it only on the first page and reuse the value for subsequent pages.

per_page
any | null

Number of results per page. Default 500, maximum 1000.

include
string

Comma-separated list of additional fields to include on each tag. Valid options: subscriber_count.

Response

Returns a paginated list of all tags for your account

tags
object[]
required
pagination
object
required